package com.ruoyi.bst.device.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备对象 bst_device
 *
 * @author ruoyi
 * @date 2025-04-17
 */
@Data
public class Device extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "MAC号")
    @ApiModelProperty("MAC号")
    private String mac;

    @Excel(name = "设备类型")
    @ApiModelProperty("设备类型")
    private String type;

    @Excel(name = "在线状态", readConverterExp = "0=离线,1=在线")
    @ApiModelProperty("在线状态")
    private String onlineStatus;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "最后在线时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("最后在线时间")
    private Date lastOnlineTime;

    @Excel(name = "最新数据")
    @ApiModelProperty("最新数据")
    private String dataPoints;

}
