package com.ruoyi.bst.device.mapper;

import java.util.List;
import com.ruoyi.bst.device.domain.Device;
import com.ruoyi.bst.device.domain.DeviceVO;
import com.ruoyi.bst.device.domain.DeviceQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 设备Mapper接口
 *
 * @author ruoyi
 * @date 2025-04-17
 */
public interface DeviceMapper
{
    /**
     * 查询设备
     *
     * @param id 设备主键
     * @return 设备
     */
    DeviceVO selectDeviceById(Long id);

    /**
     * 查询设备列表
     *
     * @param query 设备
     * @return 设备集合
     */
    List<DeviceVO> selectDeviceList(@Param("query")DeviceQuery query);

    /**
     * 新增设备
     *
     * @param device 设备
     * @return 结果
     */
    int insertDevice(Device device);

    /**
     * 批量新增设备
     */
    int batchInsert(@Param("list") List<? extends Device> list);

    /**
     * 批量修改设备
     */
    int batchUpdate(@Param("list") List<? extends Device> list);

    /**
     * 修改设备
     *
     * @param device 设备
     * @return 结果
     */
    public int updateDevice(@Param("data") Device device);

    /**
     * 删除设备
     *
     * @param id 设备主键
     * @return 结果
     */
    int deleteDeviceById(Long id);

    /**
     * 批量删除设备
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceByIds(Long[] ids);
}
