package com.ruoyi.bst.device.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.ruoyi.bst.device.domain.dto.DeviceSendDTO;
import com.ruoyi.bst.device.service.DeviceIotService;
import com.ruoyi.bst.gateway.service.GatewayIotService;
import com.ruoyi.bst.gatewayDevice.domain.GatewayDeviceQuery;
import com.ruoyi.bst.gatewayDevice.domain.GatewayDeviceVO;
import com.ruoyi.bst.gatewayDevice.service.GatewayDeviceService;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.iot.domain.response.CommandResponse;
import com.ruoyi.iot.util.IotUtil;

@Service
public class DeviceIotServiceImpl implements DeviceIotService {

    @Autowired
    private GatewayIotService gatewayIotService;

    @Autowired
    private GatewayDeviceService gatewayDeviceService;

    @Override
    public CommandResponse autoSend(DeviceSendDTO dto) {
        if (dto == null || StringUtils.isBlank(dto.getMac()) || StringUtils.isBlank(dto.getCommand())) {
            return null;
        }
        // 尝试次数（默认1次）
        int tryCount = dto.getTryCount() == null ? 1 : dto.getTryCount();

        // 查询设备关联的网关
        // TODO 按照优先级排序（到时候找个方法来做优先级）
        PageHelper.startPage(1, tryCount);
        GatewayDeviceQuery query = new GatewayDeviceQuery();
        query.setEqDeviceMac(dto.getMac());
        List<GatewayDeviceVO> gatewayDeviceList = gatewayDeviceService.selectGatewayDeviceList(query);

        // 发送命令
        CommandResponse res = null;
        for (GatewayDeviceVO vo : gatewayDeviceList) {
            res = gatewayIotService.send(vo.getGatewayMac(), vo.getDeviceMac(), dto.getCommand(), dto.getTimeout());
            // 若发送成功，则直接返回
            if (IotUtil.isSubSuccess(res)) {
                break;
            }
        }
        return res;
    }

    
}
