package com.ruoyi.bst.gatewayDevice.service;

import java.util.List;

import com.ruoyi.bst.gatewayDevice.domain.GatewayDevice;
import com.ruoyi.bst.gatewayDevice.domain.GatewayDeviceQuery;
import com.ruoyi.bst.gatewayDevice.domain.GatewayDeviceVO;

/**
 * 网关设备Service接口
 *
 * @author ruoyi
 * @date 2025-04-17
 */
public interface GatewayDeviceService
{
    /**
     * 查询网关设备
     *
     * @param id 网关设备主键
     * @return 网关设备
     */
    public GatewayDeviceVO selectGatewayDeviceById(Long id);

    /**
     * 查询网关设备列表
     *
     * @param gatewayDevice 网关设备
     * @return 网关设备集合
     */
    public List<GatewayDeviceVO> selectGatewayDeviceList(GatewayDeviceQuery gatewayDevice);

    /**
     * 新增网关设备
     *
     * @param gatewayDevice 网关设备
     * @return 结果
     */
    public int insertGatewayDevice(GatewayDevice gatewayDevice);

    /**
     * 修改网关设备
     *
     * @param gatewayDevice 网关设备
     * @return 结果
     */
    public int updateGatewayDevice(GatewayDevice gatewayDevice);

    /**
     * 批量删除网关设备
     *
     * @param ids 需要删除的网关设备主键集合
     * @return 结果
     */
    public int deleteGatewayDeviceByIds(Long[] ids);

    /**
     * 删除网关设备信息
     *
     * @param id 网关设备主键
     * @return 结果
     */
    public int deleteGatewayDeviceById(Long id);
}
