package com.ruoyi.iot.constants;


/**
 * iot常量信息
 *
 * @author ruoyi
 */
public class IotConstants {

    // 命令分隔符
    public static final String COMMAND_SEPARATOR = "@";
    // 命令起始符
    public static final String COMMAND_START = "SUB";
    // 命令结束符
    public static final String COMMAND_END = "#";

    // 子设备发送成功（BASE64，意思为OK）
    public static final String SUB_SUCCESS = "T0s=";

    // 接口地址
    public static final String ADDS_COMMAND = "/datapoint/synccmds";    // 命令下发
    public static final String ADDS_HISTORY_DATAPOINTS = "/datapoint/history-datapoints";   // 历史设备数据点
    public static final String ADDS_CURRENT_DATAPOINTS = "/datapoint/current-datapoints";   // 当前设备数据点
    public static final String ADDS_DEVICE_DETAIL = "/device/detail";   // 设备详情
    public static final String ADDS_DEVICE_LIST = "/device/list";   // 设备列表
    public static final String ADDS_CREATE_DEVICE = "/device/create";   // 添加设备

    // 在线获取方式
    public static final String ONLINE_TYPE_GET = "1";   // 从OneNet获取
    public static final String ONLINE_TYPE_COMMAND = "2"; // 发送命令获取

    // 命令
    public static final String COMMAND_UPLOAD_DATA = "111"; // 强制上报数据

    // 语音列表
    public static final String PLAY_WELCOME = "0";// 欢迎
    public static final String PLAY_WARNING = "1";// 报警
    public static final String PLAY_BOUNDARY_NEAR = "2";// 接近运营边界请规划好路线
    public static final String PLAY_BOUNDARY_OUT = "3";// 超出营运边界
    public static final String PLAY_NOT_UNLOCK = "4";// 车辆未解锁
    public static final String PLAY_OVERSPEED = "5";// 超速
    public static final String PLAY_LOW_BATTERY = "6";// 电量低
    public static final String PLAY_TEMP_STOP = "7";// 临时停车
    public static final String PLAY_END = "8";// 使用结束

    // 数据点
    public static final String DS_VER = "VER"; // 版本号
    public static final String DS_IMEI = "IMEI"; // 物联网卡号
    public static final String DS_CSQ = "CSQ"; // 信号强度

}
